//******************************************************************************
///
/// @file parser/_fakebyfnctwords.h
///
/// This header file contains static character string arrays used primarily to
/// drive documentation associated with the yuqk fork of POV-Ray. The arrays are
/// used in the final executable to provide for scene description language (SDL)
/// functions word_is() and word_get(). The active function names array is used
/// with the 'no lower case, user identifier' checking if the executable is
/// compiled with that option (NO_LC_USER_IDENTIFIERS).
///
/// The arrays are maintained in several files in total:
///     _directivewords.h, _fakebyfnctwords.h, _fnnames.h, _keywords.h,
///     _oddwords.h and _optionnames.h.
///
/// @copyright
/// @parblock
///
/// Persistence of Vision Ray Tracer ('POV-Ray') version 3.8.
/// Copyright 1991-2023 Persistence of Vision Raytracer Pty. Ltd.
///
/// POV-Ray is free software: you can redistribute it and/or modify
/// it under the terms of the GNU Affero General Public License as
/// published by the Free Software Foundation, either version 3 of the
/// License, or (at your option) any later version.
///
/// POV-Ray is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU Affero General Public License for more details.
///
/// You should have received a copy of the GNU Affero General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///
/// ----------------------------------------------------------------------------
///
/// POV-Ray is based on the popular DKB raytracer version 2.12.
/// DKBTrace was originally written by David K. Buck.
/// DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
///
/// @endparblock
///
//------------------------------------------------------------------------------
// SPDX-License-Identifier: AGPL-3.0-or-later
//******************************************************************************

#ifndef POVRAY_PARSER__FAKEBYFNCTWORDS_H
#define POVRAY_PARSER__FAKEBYFNCTWORDS_H

static char iFakeByFnctWords[][26] { "!#" }; // None in yuqk. Some old now defined mixed case.
                                             //
static char oFakeByFnctWords[][26] { "acosd", "adj_range", "adj_range2", "asind", "atan2d", "atand", "clamp", "clip",
    "cosd", "even", "f_boxed", "f_bozo", "f_brick", "f_bumps", "f_checker", "f_crackle", "f_cylindrical", "f_dents",
    "f_gradientX", "f_gradientY", "f_gradientZ", "f_granite", "f_hexagon", "f_leopard", "f_mandel", "f_ripples",
    "f_spherical", "f_spiral1", "f_spiral2", "f_spotted", "f_sqr", "f_waves", "f_wrinkles", "max3", "min3", "odd",
    "sgn", "sind", "tand" };

static char nFakeByFnctWords[][26] { "!#" };

#endif // POVRAY_PARSER__FAKEBYFNCTWORDS_H
